ogma-core-1.12.0: Ogma: Helper tool to interoperate between Copilot and other languages.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Command.Result

Description

A datatype representing the type of the results of processing input files.

Synopsis

- data Result a
  - = Success
  - | Error a String Location
- isSuccess :: Result a -> Bool
- isError :: Result a -> Bool

# Documentation

data Result a Source #

Result of the global process

Constructors

Success |
Error a String Location |

isSuccess :: Result a -> Bool Source #

`True` if the result is a success, `False` otherwise.

isError :: Result a -> Bool Source #

`True` if the result is an error, `False` otherwise.